(function (Drupal) {
  'use strict';

  Drupal.behaviors.openidConnectDaccountCommon = {
    attach: function (context, settings) {
      const dummy_email_enable = document.getElementById('edit-settings-dummy-email-enable');
      const dummy_email_domain = document.querySelector('div.js-form-item-settings-dummy-email-domain');

      function toggleDummyEmailDomainField() {
        dummy_email_domain.style.display = dummy_email_enable.checked ? 'block' : 'none';
      }
      toggleDummyEmailDomainField();
      dummy_email_enable.addEventListener('change', toggleDummyEmailDomainField);
    },
  };
})(Drupal);
